Bug 302451 - Review Request: baekmuk-bdf-fonts - Korean bitmap fonts (separated from fonts-korean)
Review Request: baekmuk-bdf-fonts - Korean bitmap fonts (separated from fonts...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 300651
Blocks: 253155
  Show dependency treegraph
 
Reported: 2007-09-23 21:29 EDT by Jens Petersen
Modified: 2010-01-13 01:38 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-24 08:44:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2007-09-23 21:29:36 EDT
Spec URL: http://petersen.fedorapeople.org/baekmuk-bdf/baekmuk-bdf-fonts.spec
SRPM URL: http://petersen.fedorapeople.org/baekmuk-bdf/baekmuk-bdf-fonts-2.2-1.fc7.src.rpm
Description: Free Korean bitmap fonts

This package is being split out of fonts-korean like baekmuk-ttf-fonts.
Comment 1 Jens Petersen 2007-09-23 21:33:04 EDT
(baekmuk-ttf-fonts review is bug 300651.)
Comment 2 Mamoru TASAKA 2007-09-24 02:31:49 EDT
* Similar with bug 300651, COPYRIGHT.ks can be converted to UTF-8.
* Well, while this package uses relative symlink on
  %_sysconfdir/X11/fontpath.d, bug 300651 uses absolute symlink.
  Would you unify them? (for these symlinks, all other packages
  seem to use absolute symlinks)
* %ghost %verify(not md5 size mtime) files 
  "fonts.cache-1" "encodings.dir" are no longer needed?
Comment 3 Mamoru TASAKA 2007-09-24 03:08:14 EDT
* Also,
  Similar with bug 300651, "Conflicts: fonts-korean <= <somever>" is better
  IMO

... By the way koji seems down
Comment 4 Jens Petersen 2007-09-24 03:29:20 EDT
> * Similar with bug 300651, COPYRIGHT.ks can be converted to UTF-8.

Yes, thanks.

> * Well, while this package uses relative symlink on
>   %_sysconfdir/X11/fontpath.d, bug 300651 uses absolute symlink.
>   Would you unify them? (for these symlinks, all other packages
>   seem to use absolute symlinks)

Actually now I made it relative in baekmuk-ttf-fonts now too, but if 
it is a bad idea I can revert.

> * %ghost %verify(not md5 size mtime) files 
>   "fonts.cache-1" "encodings.dir" are no longer needed?

Yes, I think they can go.

(In reply to comment #3)
>   Similar with bug 300651, "Conflicts: fonts-korean <= <somever>" is better

Hmm, maybe it makes sense, though I think this is no actual conflict
of files.

> ... By the way koji seems down

Seems to be mostly back now, I think. :)


Spec URL:
http://people.redhat.com/petersen/reviews/baekmuk-bdf/baekmuk-bdf-fonts.spec
SRPM URL:
http://people.redhat.com/petersen/reviews/baekmuk-bdf/baekmuk-bdf-fonts-2.2-2.fc7.src.rpm
Comment 5 Mamoru TASAKA 2007-09-24 04:06:58 EDT
(In reply to comment #4)
> > * Well, while this package uses relative symlink on
> >   %_sysconfdir/X11/fontpath.d, bug 300651 uses absolute symlink.
> >   Would you unify them? (for these symlinks, all other packages
> >   seem to use absolute symlinks)
> 
> Actually now I made it relative in baekmuk-ttf-fonts now too, but if 
> it is a bad idea I can revert.
  - I don't know which is better (although I prefer relative).

> 
> > * %ghost %verify(not md5 size mtime) files 
> >   "fonts.cache-1" "encodings.dir" are no longer needed?
> 
> Yes, I think they can go.
  Thanks.

> 
> (In reply to comment #3)
> >   Similar with bug 300651, "Conflicts: fonts-korean <= <somever>" is better
> 
> Hmm, maybe it makes sense, though I think this is no actual conflict
> of files.
  - Yes, there is no actual conflict, however baekmuk-bdf and old
    fonts-korean rpms owns same files and marking conflicts is better
    (IMO)
Comment 6 Jens Petersen 2007-09-24 04:29:12 EDT
>   - Yes, there is no actual conflict, however baekmuk-bdf and old
>     fonts-korean rpms owns same files and marking conflicts is better
>     (IMO)

Ok, thanks, added.

Spec URL:
http://people.redhat.com/petersen/reviews/baekmuk-bdf/baekmuk-bdf-fonts.spec
SRPM URL:
http://people.redhat.com/petersen/reviews/baekmuk-bdf/baekmuk-bdf-fonts-2.2-3.fc7.src.rpm
Comment 7 Mamoru TASAKA 2007-09-24 04:36:34 EDT
Okay.

----------------------------------------------------------
   This package (baekmuk-bdf-fonts) is APPROVED by me
----------------------------------------------------------
Comment 8 Parag AN(पराग) 2007-09-24 04:44:50 EDT
Thanks for quick review.
Comment 9 Jens Petersen 2007-09-24 04:46:50 EDT
Thanks.

New Package CVS Request
=======================
Package Name: baekmuk-bdf-fonts
Short Description: Korean bitmap fonts
Owners: cchance
Branches: devel
InitialCC: petersen
Cvsextras Commits: yes
Comment 10 Jens Petersen 2007-09-24 05:28:58 EDT
cvsadmin done
Comment 11 Jens Petersen 2007-09-24 08:44:18 EDT
Package has been imported and built.

Thank you very much.

Note You need to log in before you can comment on or make changes to this bug.